[resolved] unable to read context group

One Star

[resolved] unable to read context group

HI,
   I am facing problem in reading the context group which i imported. The item is locked. And its showing the error 'An error has occurred. See error log for more details. ca.odell.glazedlists.EventList'.
         And also when i open/create a job i see nothing in context tab and even i am not able to create a context group. Please assist.
Regards,
Gayathri

Accepted Solutions
One Star

Re: [resolved] unable to read context group

Hi Sabrina,
             Actually i found the issue. The problem is with the jar file glazedlists_java15-1.9.0 . I installed jar file again. It worked.
Regards,
Gayathri V

All Replies
Moderator

Re: [resolved] unable to read context group

Hi Gayathri,
There is not enough information for us to address your issue. How did you import your context group? From which version?
On which build version you got this issue? Is there any more error message in error log?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: [resolved] unable to read context group

 Hi Sabrina,
           I am using Talend open studio for bigdata 6.1.1 version. I imported context group of same version only. When i try to read the context group, its showing error and the context group gets locked. PF 1st screenshot for the error. Also also i am not able to create context variables in a job. Context Tab is empty. PF 2nd screenshot.
 
       
One Star

Re: [resolved] unable to read context group

Moderator

Re: [resolved] unable to read context group

Hi,
Could you please click "Details" button to display more error information about your issue?
Can you create a new context group on your current studio?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: [resolved] unable to read context group

 On clicking Details Button.
No i am not able to create context group.
One Star

Re: [resolved] unable to read context group

Any solution for the above issue?
Moderator

Re: [resolved] unable to read context group

Hi,
Sorry for delay!
We made a testing on  Talend open studio for bigdata 6.1.1 and cannot repro this issue on our side.
Could you please try to delete your context group on your job, and re-import it to see if it works?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: [resolved] unable to read context group

Hi Sabrina,
             Actually i found the issue. The problem is with the jar file glazedlists_java15-1.9.0 . I installed jar file again. It worked.
Regards,
Gayathri V
Moderator

Re: [resolved] unable to read context group

Hi,
 The problem is with the jar file glazedlists_java15-1.9.0 . 

Great it is fixed. Thanks for your feedback and sharing your solution with us.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Four Stars

Re: [resolved] unable to read context group

Where did you get the new glazedlists jar file from? 
 
The one I have refuses to work. I downloaded it from here: https://talend-update.talend.com/nexus/content/repositories/libraries/org/talend/libraries/  - then placed it here C:\ProgramData\Open Studio 6\configuration\.m2 per https://help.talend.com/search/all?query=Installing+external+modules&content-lang=en.  When I kept getting the 'this context view requires one external jar to be installed' message on the Context Tab, I went looking and found a copy already installed here: C:\ProgramData\Open Studio 6\configuration\.m2\repository\org\talend\libraries .  Still I can't get talend to recognize the jar is installed.  Have tried Window / Show View / Modules and the Wizard; but there is no error no message no recation from talend at all.  I have re-downloaded the jar file, deleted old copies, and tried to re-install still no joy.
 
I am using the OnBoardingDemoJob 0.1.
 
Because I am behind a firewall and cannot make a connection to the plugin server, I have to download the jar files and then load them manually.  As of yet I cannot get anything to work.
 
Any help would be most appreciated
 
---------------------
 
OS: Windows 7 Pro sp1
Talend Open Studio: 6.1.1.20151214_1327
 
---------------------
Jar meta:
<?xml version="1.0" encoding="UTF-8"?>
<metadata>
  <groupId>org.talend.libraries</groupId>
  <artifactId>glazedlists_java15-1.9.0-6.0.0</artifactId>
  <versioning>
    <versions>
      <version>6.0.0-SNAPSHOT</version>
    </versions>
    <lastUpdated>20160711192058</lastUpdated>
  </versioning>
</metadata>
-----------------------
 
 
*** Platform Details:
 
*** System properties:
ReadOnlyUser=false
USE_BROWSER=true
applicationXMI=org.eclipse.ui.workbench/LegacyIDE.e4xmi
awt.toolkit=sun.awt.windows.WToolkit
eclipse.commands=-os
win32
-ws
win32
-arch
x86_64
-showsplash
-launcher
C:\ProgramData\Open Studio 6\TOS_DI-win-x86_64.exe
-name
TOS_DI-win-x86_64
--launcher.library
C:\ProgramData\Open Studio 6\plugins\org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.200.v20140603-1326\eclipse_1603.dll
-startup
C:\ProgramData\Open Studio 6\plugins\org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar
--launcher.overrideVmargs
-vm
C:\Program Files\Java\jre8\bin\server\jvm.dll
eclipse.home.location=file:/C:/ProgramData/Open Studio 6/
eclipse.launcher=C:\ProgramData\Open Studio 6\TOS_DI-win-x86_64.exe
eclipse.launcher.name=TOS_DI-win-x86_64
eclipse.product=org.talend.rcp.branding.tos.product
eclipse.startTime=1468263844861
eclipse.stateSaveDelayInterval=30000
eclipse.vm=C:\Program Files\Java\jre8\bin\server\jvm.dll
eclipse.vmargs=-Xms512m
-Xmx1536m
-XX:MaxPermSize=512m
-Dfile.encoding=UTF-8
-Djava.class.path=C:\ProgramData\Open Studio 6\plugins\org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar
equinox.use.ds=true
file.encoding=UTF-8
file.encoding.pkg=sun.io
file.separator=\
gosh.args=--nointeractive
guice.disable.misplaced.annotation.check=true
java.awt.graphicsenv=sun.awt.Win32GraphicsEnvironment
java.awt.printerjob=sun.awt.windows.WPrinterJob
java.class.path=C:\ProgramData\Open Studio 6\plugins\org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar
java.class.version=52.
Four Stars

Re: [resolved] unable to read context group

Ok, for anyone who is stuck on why glazedlists_java15-1.9.0 jar does not load to Talend in a Windows 7 environment behind a firewall.  The proxy site for download of the jar files appends a -6.0.0 to the end of the name making it look like glazedlists_java15-1.9.0-6.0.0.jar.  However, when Maven sees this it has no idea what to do because it was not expecting this name.  Also, it does not log a error or complain in any meaningful way.  However, if you remove the -6.0.0 it works and hazaa the Contexts tab works.  After three days of no love from Talend, it now works.  Please, whomever is in charge here, get a message to the team working with maven and jar files for manual install and have them drum up a meaningful error message or accept files with the -6.0.0 or remove that addendum from the file name.  Thank you.
Four Stars

Re: [resolved] unable to read context group

The library that I got from Talend was not complete, go to Window-->Show View--> Error Log

you will see Unhandled event loop exception

java.lang.NoClassDefFoundError: ca/odell/glazedlists/TreeList$ExpansionModel

 

Although it is showing that the lib is installed it does not have all the classes.

download the lib from http://www.java2s.com/Code/Jar/g/Downloadglazedlistsjava15190jar.htm

and installed it in 

TOS_DI-20180411_1414-V7.0.1\configuration\.m2\repository\org\talend\libraries\glazedlists_java15-1.9.0\6.0.0

 

add the version number that is in the pom to the jar name.

 my pom looks like this :

 

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>org.talend.libraries</groupId>
<artifactId>glazedlists_java15-1.9.0</artifactId>
<version>6.0.0</version>
<description>Generated by Talend</description>
</project>

 

Finally Restart Talend and it should work!!